Bug 20910 - 773$g not displayed if $0 is present
Summary: 773$g not displayed if $0 is present
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-11 14:30 UTC by Tomás Cohen Arazi
Modified: 2018-11-16 12:00 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off: Jesse Maseto
Text to go in the release notes:


Attachments
Bug 20910: Display 773$g when $0 is present too (4.77 KB, patch)
2018-06-11 15:08 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 20910: Tidy 773 handling XSLT code (12.02 KB, patch)
2018-06-11 15:08 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 20910: Display 773$g when $0 is present too (4.82 KB, patch)
2018-09-14 21:42 UTC, Jesse Maseto
Details | Diff | Splinter Review
Bug 20910: Tidy 773 handling XSLT code (12.08 KB, patch)
2018-09-14 21:42 UTC, Jesse Maseto
Details | Diff | Splinter Review
Bug 20910: Display 773$g when $0 is present too (4.88 KB, patch)
2018-10-05 14:38 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20910: Tidy 773 handling XSLT code (12.13 KB, patch)
2018-10-05 14:38 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2018-06-11 14:30:17 UTC
If the $0 subfield is present (EasyAnalytics) the $g subfield is not displayed as in other display modes. This is probably a minor mistake in the XSLT logic.
Comment 1 Tomás Cohen Arazi 2018-06-11 15:08:08 UTC
Created attachment 75960 [details] [review]
Bug 20910: Display 773$g when $0 is present too

This patch makes the XSLT logic add the $g subfield in the 773 display
in both the OPAC and staff interface MARC21 record detail pages.

The XSLT chooses between different ways to create the link for the
related content, but then it only adds the $g in two of the cases.
There's no obvious reason for a different display.

To test:
- Have  a record with:

=773   $tHost title $gp4.

=> SUCCESS: Notice the Detail view shows:
  In: Host title p4.

- Have another record with:

=773   $tHost title $gp4. $w100
- Enable UseControlNumber (only to cover the case):
=> SUCCESS: Notice the detail view shows
  In: Host title p4.

- Have another record with:

=773   $tHost title $gp4. $0456

=> FAIL: The Detail view doesn't show p4.
- Apply this patch
- Reload
=> SUCCESS: The Detail view displays p4.!
- Sign off :-D

Sponsored-by: Escuela de Orientacion Lacaniana
Comment 2 Tomás Cohen Arazi 2018-06-11 15:08:13 UTC
Created attachment 75961 [details] [review]
Bug 20910: Tidy 773 handling XSLT code

There's happiness too. You know.

Sponsored-by: Escuela de Orientacion Lacaniana
Comment 3 Jesse Maseto 2018-09-14 21:42:17 UTC
Created attachment 78741 [details] [review]
Bug 20910: Display 773$g when $0 is present too

This patch makes the XSLT logic add the $g subfield in the 773 display
in both the OPAC and staff interface MARC21 record detail pages.

The XSLT chooses between different ways to create the link for the
related content, but then it only adds the $g in two of the cases.
There's no obvious reason for a different display.

To test:
- Have  a record with:

=773   $tHost title $gp4.

=> SUCCESS: Notice the Detail view shows:
  In: Host title p4.

- Have another record with:

=773   $tHost title $gp4. $w100
- Enable UseControlNumber (only to cover the case):
=> SUCCESS: Notice the detail view shows
  In: Host title p4.

- Have another record with:

=773   $tHost title $gp4. $0456

=> FAIL: The Detail view doesn't show p4.
- Apply this patch
- Reload
=> SUCCESS: The Detail view displays p4.!
- Sign off :-D

Sponsored-by: Escuela de Orientacion Lacaniana

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Comment 4 Jesse Maseto 2018-09-14 21:42:33 UTC
Created attachment 78742 [details] [review]
Bug 20910: Tidy 773 handling XSLT code

There's happiness too. You know.

Sponsored-by: Escuela de Orientacion Lacaniana

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Comment 5 Julian Maurice 2018-10-05 14:38:41 UTC
Created attachment 80123 [details] [review]
Bug 20910: Display 773$g when $0 is present too

This patch makes the XSLT logic add the $g subfield in the 773 display
in both the OPAC and staff interface MARC21 record detail pages.

The XSLT chooses between different ways to create the link for the
related content, but then it only adds the $g in two of the cases.
There's no obvious reason for a different display.

To test:
- Have  a record with:

=773   $tHost title $gp4.

=> SUCCESS: Notice the Detail view shows:
  In: Host title p4.

- Have another record with:

=773   $tHost title $gp4. $w100
- Enable UseControlNumber (only to cover the case):
=> SUCCESS: Notice the detail view shows
  In: Host title p4.

- Have another record with:

=773   $tHost title $gp4. $0456

=> FAIL: The Detail view doesn't show p4.
- Apply this patch
- Reload
=> SUCCESS: The Detail view displays p4.!
- Sign off :-D

Sponsored-by: Escuela de Orientacion Lacaniana
Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Julian Maurice 2018-10-05 14:38:53 UTC
Created attachment 80124 [details] [review]
Bug 20910: Tidy 773 handling XSLT code

There's happiness too. You know.

Sponsored-by: Escuela de Orientacion Lacaniana
Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 7 Nick Clemens 2018-10-09 16:25:02 UTC
Awesome work all!

Pushed to master for 18.11
Comment 8 Martin Renvoize 2018-10-15 11:36:01 UTC
Pushed to 18.05.x fro 18.05.05.

I chose to only backport the first patch.. should aid in easy identification of the change vs the tidy for server admins.
Comment 9 Fridolin SOMERS 2018-11-08 15:22:41 UTC
1st patch :
Pushed to 17.11.x for 17.11.12